#
# spec file for package patterns-kde
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-kde
Version:        20170319
Release:        lp150.7.1
Summary:        Patterns for Installation (kde devel)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros
BuildArch:      noarch

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the KDE patterns.

################################################################################

%package devel_kde_frameworks
%pattern_development
Summary:        KDE Frameworks Development
Group:          Metapackages
Provides:       patterns-openSUSE-devel_kde_framework = %{version}
Provides:       pattern() = devel_kde_frameworks
Provides:       pattern-icon() = pattern-kde-devel
Provides:       pattern-order() = 3180
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-devel_kde_framework < %{version}
Requires:       pattern() = devel_C_C++
Recommends:     pattern() = devel_qt5
Recommends:     cmake
Recommends:     extra-cmake-modules
Recommends:     appstream-qt5-devel
Recommends:     attica-qt5-devel
Recommends:     frameworkintegration-devel
Recommends:     kactivities5-devel
Recommends:     karchive-devel
Recommends:     kauth-devel
Recommends:     kbookmarks-devel
Recommends:     kcmutils-devel
Recommends:     kcodecs-devel
Recommends:     kcompletion-devel
Recommends:     kconfig-devel
Recommends:     kconfigwidgets-devel
Recommends:     kcoreaddons-devel
Recommends:     kcrash-devel
Recommends:     kdbusaddons-devel
Recommends:     kdeclarative-devel
Recommends:     kded-devel
Recommends:     kdelibs4support-devel
Recommends:     kdesignerplugin-devel
Recommends:     kdesu-devel
Recommends:     kdewebkit-devel
Recommends:     kdnssd-framework-devel
Recommends:     kdoctools-devel
Recommends:     kemoticons-devel
Recommends:     kglobalaccel-devel
Recommends:     kguiaddons-devel
Recommends:     khtml-devel
Recommends:     ki18n-devel
Recommends:     kiconthemes-devel
Recommends:     kidletime-devel
Recommends:     kinit-devel
Recommends:     kio-devel
Recommends:     kitemmodels-devel
Recommends:     kitemviews-devel
Recommends:     kjobwidgets-devel
Recommends:     kjs-devel
Recommends:     kjsembed-devel
Recommends:     kmediaplayer-devel
Recommends:     knewstuff-devel
Recommends:     knotifications-devel
Recommends:     knotifyconfig-devel
Recommends:     kpackage-devel
Recommends:     kparts-devel
Recommends:     kpeople5-devel
Recommends:     kplotting-devel
Recommends:     kpty-devel
Recommends:     kross-devel
Recommends:     krunner-devel
Recommends:     kservice-devel
Recommends:     ktexteditor-devel
Recommends:     ktextwidgets-devel
Recommends:     kunitconversion-devel
Recommends:     kwallet-devel
Recommends:     kwidgetsaddons-devel
Recommends:     kwindowsystem-devel
Recommends:     kxmlgui-devel
Recommends:     kxmlrpcclient5-devel
Recommends:     libKF5ModemManagerQt-devel
Recommends:     libKF5NetworkManagerQt-devel
Recommends:     libpolkit-qt5-1-devel
Recommends:     phonon4qt5-devel
Recommends:     plasma-framework-devel
Recommends:     solid-devel
Recommends:     sonnet-devel
Recommends:     threadweaver-devel
Recommends:     alsa-devel
Recommends:     aspell-devel
Recommends:     avahi-compat-mDNSResponder-devel
Recommends:     cups-devel
Recommends:     cyrus-sasl-devel
Recommends:     doxygen
Recommends:     giflib-devel
Recommends:     icecream
Recommends:     ImageMagick-devel
Recommends:     krb5-devel
Recommends:     libao-devel
Recommends:     libattr-devel
Recommends:     libcurl-devel
Recommends:     libgpgme-devel
Recommends:     libidn-devel
Recommends:     libjpeg62-devel
Recommends:     libmal-devel
Recommends:     libopenssl-devel
Recommends:     libpisock-devel
Recommends:     libpng15-devel
Recommends:     libpng15-compat-devel
Recommends:     libpoppler-devel
Recommends:     libqimageblitz-devel
Recommends:     libsmbclient-devel
Recommends:     libtiff-devel
Recommends:     libusb-compat-devel
Recommends:     libxklavier-devel
Recommends:     libxml2-devel
Recommends:     libxslt-devel
Recommends:     NetworkManager-devel
Recommends:     pcre-devel
Recommends:     libSDL-devel
Recommends:     sqlite3-devel
Recommends:     wv2-devel
Recommends:     libbz2-devel
Recommends:     ggz-client-libs-devel
Recommends:     libqca2-qt5-devel
Recommends:     libavahi-devel
Recommends:     libavahi-qt4-devel
Recommends:     openexr-devel
Recommends:     enchant-devel
Recommends:     libjasper-devel
Recommends:     clucene-core-devel
Recommends:     libpulse-devel
Recommends:     libraw1394-devel
Recommends:     python-devel
Recommends:     libical-devel
Recommends:     libmysqlclient-devel
Recommends:     openldap2-devel
Recommends:     gettext-tools
Recommends:     libgpod-devel
Recommends:     libmtp-devel
Recommends:     loudmouth-devel
Recommends:     libdvdread-devel
Recommends:     libgphoto2-devel
Recommends:     gstreamer-devel
Recommends:     libxine-devel
Recommends:     bluez-devel
Recommends:     libpoppler-qt5-devel

%description devel_kde_frameworks
KDE Frameworks development packages.

%files devel_kde_frameworks
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_kde_frameworks.txt

################################################################################

%package devel_kde
%pattern_development
Summary:        KDE Development
Group:          Metapackages
Provides:       patterns-openSUSE-devel_kde = %{version}
Provides:       pattern() = devel_kde
Provides:       pattern-icon() = pattern-kde-devel
Provides:       pattern-order() = 3180
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-devel_kde < %{version}
Requires:       pattern() = devel_C_C++
Requires:       pattern() = devel_kde_frameworks
# from data/DEVEL-KDE
Recommends:     libkexiv2-devel
Recommends:     giflib-devel
Recommends:     baloo5-devel
Recommends:     bluez-qt-devel
Recommends:     kfilemetadata5-devel
Recommends:     khotkeys5-devel
Recommends:     kwayland-devel
Recommends:     kwin5-devel
Recommends:     libbluedevil5-devel
Recommends:     libkdecoration2-devel
Recommends:     libkscreen2-devel
Recommends:     libksysguard5-devel
Recommends:     oxygen5-devel
Recommends:     plasma5-workspace-devel
Recommends:     systemsettings5-devel
Suggests:       libkdcraw-devel
Suggests:       libkipi-devel
Suggests:       freeglut-devel
Suggests:       graphviz
Suggests:       icecream-monitor
Suggests:       libkdepimlibs-devel
Suggests:       libkdegames-devel
Suggests:       libkmahjongg-devel
Suggests:       libvisual-devel
Suggests:       meanwhile-devel
Suggests:       net-snmp-devel
Suggests:       mono-kde4
Suggests:       ruby-kde4
Suggests:       python-kdebase4
Suggests:       libkonq-devel
Suggests:       antlr-devel
Suggests:       aqbanking-devel
Suggests:       audiofile-devel
Suggests:       avogadro-devel
Suggests:       cdparanoia-devel
Suggests:       chmlib-devel
Suggests:       cln-devel
Suggests:       commoncpp2-devel
Suggests:       fftw3-devel
Suggests:       file-devel
Suggests:       flac-devel
Suggests:       fribidi-devel
Suggests:       getdata-devel
Suggests:       ghostscript-devel
Suggests:       glew-devel
Suggests:       gpsd-devel
Suggests:       grantlee-devel
Suggests:       GraphicsMagick-devel
Suggests:       gsl-devel
Suggests:       gwenhywfar-devel
Suggests:       help2man
Suggests:       htmldoc
Suggests:       hunspell-devel
Suggests:       hwinfo-devel
Suggests:       kate-devel
Suggests:       kdesdk4-scripts
Suggests:       kdevelop4-devel
Suggests:       kdevelop4-pg-qt-devel
Suggests:       lensfun-devel
Suggests:       libalkimia-devel
Suggests:       libarchive-devel
Suggests:       libassuan-devel
Suggests:       libbluedevil-devel
Suggests:       libbonoboui-devel
Suggests:       libcap-ng-devel
Suggests:       libcdio-devel
Suggests:       libcfitsio-devel
Suggests:       libcppunit-devel
Suggests:       libdbusmenu-qt-devel
Suggests:       libdjvulibre-devel
Suggests:       libdmtx-devel
Suggests:       libeigen2-devel
Suggests:       libepub-devel
Suggests:       libesd-devel
Suggests:       libexempi-devel
Suggests:       libeXosip2-devel
Suggests:       libfli-devel
Suggests:       libgadu-devel
Suggests:       libgcal-devel
Suggests:       libgmm++-devel
Suggests:       libgnomecanvas-devel
Suggests:       libgnome-devel
Suggests:       libgudev-1_0-devel
Suggests:       libicu-devel
Suggests:       libindi-devel
Suggests:       libiodbc-devel
Suggests:       libiw-devel
Suggests:       libjack-devel
Suggests:       libkcddb4-devel
Suggests:       libkcompactdisc4-devel
Suggests:       libkdeedu4-devel
Suggests:       libkdevplatform-devel
Suggests:       libkface-devel
Suggests:       libkgeomap-devel
Suggests:       libksane-devel
Suggests:       libktoblzcheck1-devel
Suggests:       libktorrent-devel
Suggests:       liblastfm-devel
Suggests:       liblazy-devel
Suggests:       liblcms2-devel
Suggests:       liblqr-devel
Suggests:       libmediawiki1
Suggests:       libmediawiki-devel
Suggests:       libmms-devel
Suggests:       libmono-2_0-devel
Suggests:       libmpcdec-devel
Suggests:       libmsn-devel
Suggests:       libmusicbrainz3-devel
Suggests:       libmusicbrainz-devel
Suggests:       libmygpo-qt-devel
Suggests:       libnetcdf-devel
Suggests:       libnetpbm-devel
Suggests:       libnl-1_1-devel
Suggests:       libnova-devel
Suggests:       libofx-devel
Suggests:       libogg-devel
Suggests:       liboil-devel
Suggests:       libopenbabel-devel
Suggests:       libotr-devel
Suggests:       PackageKit-Qt-devel
Suggests:       libpackagekit-qt-devel
Suggests:       libpng12-devel
Suggests:       libpodofo-devel
Suggests:       libpqxx-devel
Suggests:       libpth-devel
Suggests:       libqalculate-devel
Suggests:       libqjson-devel
Suggests:       libqscintilla-devel
Suggests:       libraw-devel
Suggests:       librcps-devel
Suggests:       libsamplerate-devel
Suggests:       libselinux-devel
Suggests:       libsepol-devel
Suggests:       libsigc++2-devel
Suggests:       libsmokegen-devel
Suggests:       libsmokekde-devel
Suggests:       libsmokeqt-devel
Suggests:       libsndfile-devel
Suggests:       libspectre-devel
Suggests:       libspeechd-devel
Suggests:       libssh-devel
Suggests:       libtag-devel
Suggests:       libtheora-devel
Suggests:       libtidy-0_99-0-devel
Suggests:       libunicap-devel
Suggests:       libusbmuxd-devel
Suggests:       libv4l-devel
Suggests:       LibVNCServer-devel
Suggests:       libvorbis-devel
Suggests:       libwbxml2-devel
Suggests:       libwpd-devel
Suggests:       libwpg-devel
Suggests:       libxml++-devel
Suggests:       libyaz-devel
Suggests:       libzip-devel
Suggests:       linphone-devel
Suggests:       lirc-devel
Suggests:       lua-devel
Suggests:       marble-devel
Suggests:       mhash-devel
Suggests:       mono-qt4-devel
Suggests:       ocaml
Suggests:       ocaml-facile
Suggests:       okteta-devel
Suggests:       openconnect-devel
Suggests:       opencv-devel
Suggests:       openslp-devel
Suggests:       opensp-devel
Suggests:       pciutils-devel
Suggests:       perl-qt4-devel
Suggests:       postgresql-devel
Suggests:       python-kde4-devel
Suggests:       python-sip-devel
Suggests:       qhull-devel
Suggests:       qoauth-devel
Suggests:       qrencode-devel
Suggests:       QtZeitgeist-devel
Suggests:       qwt-devel
Suggests:       ruby-qt4-devel
Suggests:       sane-backends-devel
Suggests:       scons
Suggests:       speex-devel
Suggests:       subversion-devel
Suggests:       taglib-extras-devel
Suggests:       utempter-devel
Suggests:       xz-devel

%description devel_kde
KDE development packages.

%files devel_kde
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_kde.txt

################################################################################

%package devel_qt5
%pattern_development
Summary:        Qt 5 Development
Group:          Metapackages
Provides:       patterns-openSUSE-devel_qt5 = %{version}
Provides:       pattern() = devel_qt5
Provides:       pattern-icon() = pattern-basis-devel
Provides:       pattern-order() = 3381
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-devel_qt5 < %{version}
Recommends:     libqt5-qtbase-devel
Recommends:     libqt5-qtdeclarative-devel
# QPA headers are technicaly private, but one will most likely need them on Linux
Recommends:     libQt5Gui-private-headers-devel
Recommends:     libqt5-qtsvg-devel
Recommends:     libqt5-qttools-devel
Recommends:     libqt5-qtx11extras-devel
Recommends:     libqt5-qtxmlpatterns-devel
Suggests:       libqt5-qtimageformats-devel
Suggests:       libqt5-qtlocation-devel
Suggests:       libqt5-qtmultimedia-devel
Suggests:       libqt5-qtquick1-devel
Suggests:       libqt5-qtscript-devel
Suggests:       libqt5-qtsensors-devel
Suggests:       libqt5-qtserialport-devel
Suggests:       libqt5-qtwebsockets-devel
Suggests:       libQt5WebKit5-devel
Suggests:       libqt5-creator

%description devel_qt5
Tools and libraries for software development using Qt 5, the latest version of the Qt toolkit.

%files devel_qt5
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_qt5.txt

################################################################################

%package kde
%pattern_graphicalenvironments
Summary:        KDE Plasma 5 Desktop Environment
Group:          Metapackages
Provides:       patterns-openSUSE-kde = %{version}
Provides:       patterns-openSUSE-kde4 = %{version}
Provides:       pattern() = kde
Provides:       pattern-icon() = pattern-kde4
Provides:       pattern-order() = 1110
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-kde < %{version}
Obsoletes:      patterns-openSUSE-kde4 < %{version}
Requires:       pattern() = kde_plasma
Recommends:     pattern() = kde_internet
Recommends:     pattern() = multimedia
Recommends:     pattern() = office
Recommends:     pattern() = kde_utilities
Recommends:     pattern() = imaging
Recommends:     pattern() = games
Recommends:     ark
Recommends:     kcalc
Recommends:     kgpg
Recommends:     spectacle
Recommends:     kwalletmanager5
Recommends:     kmozillahelper
Recommends:     kde-print-manager
Recommends:     akregator5
Recommends:     kaddressbook5
Recommends:     kmail5
Recommends:     kontact5
Recommends:     korganizer5
Recommends:     knotes5
Suggests:       marble
Suggests:       kiosktool
Suggests:       kalarm5
Suggests:       krename
Suggests:       vym

%description kde
KDE is a powerful free software graphical desktop environment for Linux workstations. It combines ease of use, contemporary functionality, and outstanding graphical design with the technology of the Linux operating system.

%files kde
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde.txt

################################################################################

%package kde_plasma
%pattern_graphicalenvironments
Summary:        KDE Plasma 5 Desktop
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_basis = %{version}
Provides:       patterns-openSUSE-kde_plasma = %{version}
Provides:       pattern() = kde_plasma
Provides:       pattern-icon() = pattern-kde4
Provides:       pattern-order() = 1100
Obsoletes:      patterns-openSUSE-kde4_admin < %{version}
Obsoletes:      patterns-openSUSE-kde4_basis < %{version}
Obsoletes:      patterns-openSUSE-kde4_laptop < %{version}
Obsoletes:      patterns-openSUSE-kde4_pure < %{version}
Obsoletes:      patterns-openSUSE-kde_plasma < %{version}
Obsoletes:      patterns-openSUSE-plasma5_basis < %{version}
Provides:       patterns-openSUSE-plasma5_basis = %{version}
# Obsolete the kdebase4-workspace-devel package specifically to prevent upgrade issues
Obsoletes:      kdebase4-workspace-devel
Requires:       pattern() = x11
# Obsolete the KDE bindings which have not been ported yet
Obsoletes:      mono-kde4
Obsoletes:      perl-kde4
Obsoletes:      python3-kde4
Obsoletes:      ruby-kde4
# from data/KDE4-BASIS
Requires:       breeze
Requires:       breeze5-cursors
Requires:       breeze5-decoration
Requires:       breeze5-icons
Requires:       breeze5-style
Requires:       breeze5-wallpapers
Requires:       dolphin
Requires:       kate
Requires:       kwin5
Requires:       plasma5-desktop
Requires:       plasma5-session
Requires:       plasma5-workspace
# Make sure that at least a phonon backend is being installed
Recommends:     phonon4qt5-backend-gstreamer
# bnc#541820
Recommends:     khelpcenter5
Recommends:     baloo5-file
Recommends:     baloo5-kioslaves
Recommends:     baloo5-tools
Recommends:     discover
Recommends:     plasma-nm5
Recommends:     plasma5-pa
Recommends:     plasma5-pk-updates
Recommends:     plasma5-addons
Recommends:     plasma5-session-wayland
Recommends:     keditbookmarks
Recommends:     konsole
Recommends:     kdenetwork4-filesharing
Recommends:     pinentry-qt5
Recommends:     yast2-control-center-qt
# we want useful bug reports
Recommends:     gdb
Recommends:     sddm
Recommends:     kio-extras5
# bnc#430161
Recommends:     polkit-default-privs
# pulseaudio
Recommends:     pulseaudio
Recommends:     pulseaudio-module-bluetooth
Recommends:     pulseaudio-module-jack
Recommends:     pulseaudio-module-lirc
Recommends:     pulseaudio-module-x11
Recommends:     pulseaudio-module-zeroconf
Recommends:     pulseaudio-utils
Recommends:     alsa-plugins-pulse
Recommends:     kdepasswd
# bnc#605509
Recommends:     skanlite
Recommends:     desktop-branding
# KDEPIM suite. 
Recommends:     akregator5
Recommends:     kaddressbook5
Recommends:     kmail5
Recommends:     kontact5
Recommends:     korganizer5
Recommends:     knotes5
##
Recommends:     kdeconnect-kde
Recommends:     ffmpegthumbs
Recommends:     kdegraphics-thumbnailers
Recommends:     kde-odf-thumbnail
Suggests:       qtcurve-gtk2
Suggests:       qtcurve-qt5
# bnc#521177
Suggests:       yakuake
Suggests:       kcron
Suggests:       ksystemlog

# from data/COMMON-DESKTOP
Recommends:     MozillaFirefox
Recommends:     desktop-data-openSUSE
Recommends:     avahi
# bnc#508120
Recommends:     xdg-user-dirs
# we want a video player
Recommends:     dragonplayer
# bnc#598884
Suggests:       moonlight-plugin
# metalink downloader
Suggests:       aria2

%description kde_plasma
Base packages for the KDE Plasma 5 desktop environment.

%files kde_plasma
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_plasma.txt

################################################################################

%package kde_edutainment
%pattern_kdedesktop
Summary:        KDE Education
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_edutainment = %{version}
Provides:       patterns-openSUSE-kde_edutainment = %{version}
Provides:       pattern() = kde_edutainment
Provides:       pattern-icon() = package_edutainment
Provides:       pattern-order() = 2360
Obsoletes:      patterns-openSUSE-kde4_edutainment < %{version}
Obsoletes:      patterns-openSUSE-kde_edutainment < %{version}
Recommends:     blinken
Recommends:     marble
Recommends:     kalzium
Recommends:     kanagram
Recommends:     kbruch
Recommends:     kalgebra
Recommends:     kgeography
Recommends:     khangman
Recommends:     kig
Recommends:     kiten
Recommends:     klettres
Recommends:     kmplot
Recommends:     ktouch
Recommends:     parley
Recommends:     kwordquiz
Recommends:     step
Suggests:       kturtle

%description kde_edutainment
KDE Applications - Tools to teach kids with computers

%files kde_edutainment
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_edutainment.txt

################################################################################

%package kde_games
%pattern_kdedesktop
Summary:        KDE Games
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_games = %{version}
Provides:       patterns-openSUSE-kde_games = %{version}
Provides:       pattern() = kde_games
Provides:       pattern-extends() = games
Provides:       pattern-icon() = package_games
Provides:       pattern-order() = 2400
Obsoletes:      patterns-openSUSE-kde4_games < %{version}
Obsoletes:      patterns-openSUSE-kde_games < %{version}
Supplements:    packageand(patterns-kde-kde:patterns-games-games)
# from data/KDE4-Games
Recommends:     kpat
Recommends:     kmahjongg
Recommends:     kmines
Recommends:     kreversi
Recommends:     ksudoku
Suggests:       kblocks
Suggests:       katomic
Suggests:       bovo
Suggests:       knavalbattle
Suggests:       kblackbox
Suggests:       kbounce
Suggests:       kbreakout
Suggests:       kdiamond
Suggests:       kgoldrunner
Suggests:       kiriki
Suggests:       kjumpingcube
Suggests:       kollision
Suggests:       klines
Suggests:       knetwalk
Suggests:       kolf
Suggests:       konquest
Suggests:       kshisen
Suggests:       ksirk
Suggests:       kspaceduel
Suggests:       ksquares
Suggests:       ktuberling
Suggests:       kubrick
Suggests:       lskat

%description kde_games
KDE Applications - Games

%files kde_games
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_games.txt

################################################################################

%package kde_ide
%pattern_kdedesktop
Summary:        KDE Integrated Development Environment
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_ide = %{version}
Provides:       patterns-openSUSE-kde_ide = %{version}
Provides:       pattern() = kde_ide
Provides:       pattern-icon() = package_utilities
Provides:       pattern-order() = 2820
Obsoletes:      patterns-openSUSE-kde4_ide < %{version}
Obsoletes:      patterns-openSUSE-kde_ide < %{version}
# from data/KDE4-IDE
Recommends:     kate
Recommends:     kdbg
Recommends:     kdevelop5
Recommends:     kapptemplate
Recommends:     lokalize
Recommends:     kde4-l10n-devel
Recommends:     cervisia
Recommends:     kcachegrind
Recommends:     kio_svn
Recommends:     kompare
Recommends:     umbrello
Suggests:       kdevelop5-plugins-php

%description kde_ide
Development environment for the Plasma Desktop

%files kde_ide
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_ide.txt

################################################################################

%package kde_imaging
%pattern_kdedesktop
Summary:        KDE Graphics
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_imaging = %{version}
Provides:       patterns-openSUSE-kde_imaging = %{version}
Provides:       pattern() = kde_imaging
Provides:       pattern-extends() = imaging
Provides:       pattern-icon() = package_graphics
Provides:       pattern-order() = 2540
Obsoletes:      patterns-openSUSE-kde4_imaging < %{version}
Obsoletes:      patterns-openSUSE-kde_imaging < %{version}
Supplements:    packageand(patterns-kde-kde:patterns-desktop-imaging)
Requires:       pattern() = kde_plasma
# from data/KDE4-IMAGE
Recommends:     gwenview5
Recommends:     digikam
Recommends:     kipi-plugins
Recommends:     libjpeg-turbo
Recommends:     okular
Recommends:     kio_kamera
Recommends:     kcolorchooser
Recommends:     kgamma
Recommends:     skanlite
Recommends:     kruler
Suggests:       calligra-stage
Suggests:       krita
Suggests:       kolourpaint

%description kde_imaging
KDE Applicatons - Handling of digital photos and graphics

%files kde_imaging
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_imaging.txt

################################################################################

%package kde_internet
%pattern_kdedesktop
Summary:        KDE Internet
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_internet = %{version}
Provides:       patterns-openSUSE-kde_internet = %{version}
Provides:       pattern() = kde_internet
Provides:       pattern-extends() = kde4
Provides:       pattern-icon() = package_network
Provides:       pattern-order() = 2560
Obsoletes:      patterns-openSUSE-kde4_internet < %{version}
Obsoletes:      patterns-openSUSE-kde_internet < %{version}
# from data/KDE4-Internet
# 297684 for these 2
Recommends:     konversation
# bnc#533580
Recommends:     plasma-nm5-openvpn
Recommends:     plasma-nm5-openconnect
Recommends:     plasma-nm5-pptp
Suggests:       kget
Suggests:       kopete
Suggests:       kppp
Suggests:       rekonq

%description kde_internet
KDE Internet Applications

%files kde_internet
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_internet.txt

################################################################################

%package kde_multimedia
%pattern_kdedesktop
Summary:        KDE Multimedia
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_multimedia = %{version}
Provides:       patterns-openSUSE-kde_multimedia = %{version}
Provides:       pattern() = kde_multimedia
Provides:       pattern-extends() = multimedia
Provides:       pattern-icon() = package_multimedia
Provides:       pattern-order() = 2620
Obsoletes:      patterns-openSUSE-kde4_multimedia < %{version}
Obsoletes:      patterns-openSUSE-kde_multimedia < %{version}
Supplements:    packageand(patterns-kde-kde:patterns-desktop-multimedia)
# from data/KDE4-Multimedia
Recommends:     k3b
Recommends:     plasma5-pa
Recommends:     kio_audiocd
Recommends:     PackageKit-gstreamer-plugin
Recommends:     phonon4qt5-backend-gstreamer
Recommends:     gstreamer-plugins-good
Suggests:       amarok
Suggests:       dragonplayer
Suggests:       juk
Suggests:       kscd

%description kde_multimedia
KDE Applications - Multimedia

%files kde_multimedia
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_multimedia.txt

################################################################################

%package kde_office
%pattern_kdedesktop
Summary:        KDE Office
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_office = %{version}
Provides:       patterns-openSUSE-kde_office = %{version}
Provides:       pattern() = kde_office
Provides:       pattern-extends() = office
Provides:       pattern-icon() = package_wordprocessing
Provides:       pattern-order() = 2700
Obsoletes:      patterns-openSUSE-kde4_office < %{version}
Obsoletes:      patterns-openSUSE-kde_office < %{version}
Supplements:    packageand(patterns-kde-kde:patterns-office-office)
# from data/KDE4-Office
Recommends:     libreoffice-kde4
Recommends:     libreoffice-icon-theme-breeze
Suggests:       scribus

%description kde_office
KDE Office

%files kde_office
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_office.txt

################################################################################

%package kde_utilities
%pattern_kdedesktop
Summary:        KDE Utilities
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_utilities = %{version}
Provides:       patterns-openSUSE-kde_utilities = %{version}
Provides:       pattern() = kde_utilities
Provides:       pattern-extends() = kde
Provides:       pattern-icon() = package_utilities
Provides:       pattern-order() = 2860
Obsoletes:      patterns-openSUSE-kde4_utilities < %{version}
Obsoletes:      patterns-openSUSE-kde_utilities < %{version}
Recommends:     pattern() = kde_utilities_opt
# from data/KDE4-Utilities
Recommends:     bluedevil5
Recommends:     kmag
Recommends:     kcharselect
Recommends:     kmousetool
Recommends:     kompare
Suggests:       okteta
Suggests:       kteatime
Suggests:       ktux
Suggests:       amor
Suggests:       k4dirstat
Suggests:       sweeper

%description kde_utilities
KDE Applications - Utilities

%files kde_utilities
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_utilities.txt

################################################################################

%package kde_utilities_opt
%pattern_kdedesktop
Summary:        KDE Utilities
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_utilities_opt = %{version}
Provides:       patterns-openSUSE-kde_utilities_opt = %{version}
Provides:       pattern() = kde_utilities_opt
Provides:       pattern-extends() = kde
Provides:       pattern-icon() = package_utilities
Provides:       pattern-order() = 2840
Obsoletes:      patterns-openSUSE-kde4_utilities_opt < %{version}
Obsoletes:      patterns-openSUSE-kde_utilities_opt < %{version}
# from data/KDE4-UTILITIES-OPT
Suggests:       rsibreak
Suggests:       speedcrunch
Suggests:       kchmviewer
Suggests:       kmouth
Suggests:       kremotecontrol
Suggests:       kdf
Suggests:       ktimer
Suggests:       kwikdisk
Suggests:       krusader
Suggests:       smb4k

# from data/COMMON-DESKTOP-OPT
# packages a GTK application
Recommends:     gutenprint
# MAYBE later lsb-graphics
# give net shares
Recommends:     samba
# needs python-qt4, see#649280#14
Suggests:       hplip

%description kde_utilities_opt
KDE Application - Additional Utilities

%files kde_utilities_opt
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_utilities_opt.txt

################################################################################

%package kde_yast
%pattern_basetechnologies
Summary:        YaST KDE User Interfaces
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_yast = %{version}
Provides:       patterns-openSUSE-kde_yast = %{version}
Provides:       pattern() = kde_yast
Provides:       pattern-extends() = yast2_basis
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1300
Obsoletes:      patterns-openSUSE-kde4_yast < %{version}
Obsoletes:      patterns-openSUSE-kde_yast < %{version}
Provides:       patterns-kde-sw_management_kde = %{version}
Obsoletes:      patterns-kde-sw_management_kde < %{version}
Provides:       patterns-openSUSE-sw_management_kde = %{version}
Obsoletes:      patterns-openSUSE-sw_management_kde < %{version}
Provides:       patterns-openSUSE-sw_management_kde4 = %{version}
Obsoletes:      patterns-openSUSE-sw_management_kde4 < %{version}
Supplements:    packageand(patterns-kde-kde:patterns-yast-yast2_basis)
# from data/KDE4-YaST
Requires:       libyui-qt-pkg
Requires:       yast2-branding-openSUSE-Oxygen
Requires:       yast2-control-center-qt

%description kde_yast
Graphical YaST user interfaces for the KDE desktop.

%files kde_yast
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_yast.txt

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
for i in devel_kde_frameworks devel_kde devel_qt5 kde kde_plasma \
    kde_edutainment kde_games kde_ide kde_imaging kde_internet kde_multimedia \
    kde_office kde_utilities kde_utilities_opt kde_yast; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/%{_defaultdocdir}/patterns/$i.txt"
done

%changelog
* Tue Apr  3 2018 fabian@ritter-vogt.de
- Replace plasma-nm5-vpnc with plasma-nm5-openconnect
* Tue Mar 27 2018 wbauer@tmo.at
- Recommend kdevelop5 instead of kdevelop4 in the kde_ide pattern
  (boo#1009986)
* Sat Mar 24 2018 fabian@ritter-vogt.de
- Don't recommend unused kde-oxygen-fonts and google-droid-fonts
* Fri Jan 26 2018 fabian@ritter-vogt.de
- Recommend plasma5-session-wayland to install it by default
* Tue Jan 16 2018 fabian@ritter-vogt.de
- Don't recommend kde-gtk-config5, replaced by supplements
* Sat Jan 13 2018 fabian@ritter-vogt.de
- Recommend discover in the kde_plasma pattern
* Tue Sep 12 2017 fabian@ritter-vogt.de
- kolorlines -> klines (boo#1058191)
* Fri Aug 25 2017 fabian@ritter-vogt.de
- Drop the kde_telepathy pattern
* Thu Aug 17 2017 fabian@ritter-vogt.de
- Do not recommend KDE4 based applications anymore
- Replace old KDE4 package names with current ones
- Move Recommends: kdebase4-workspace-libs to breeze4-style
- Set BuildArch: noarch and remove unnecessary patterns-kde-rpmlintrc
* Wed Aug 16 2017 fabian@ritter-vogt.de
- Merge kde_plasma pattern into kde
- Merge sw_management_kde pattern into kde_yast
- Do not recommend obsolete YaST modules (boo#1053324)
* Mon Jul 24 2017 tchvatal@suse.com
- Drop libtunepimp-devel from suggestions
* Wed Jun 28 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
  Change to a sh loop for creating minimally different text files.
* Mon Jun 19 2017 dimstar@opensuse.org
- Do not require basesystem: KDE builds on top of X11, it is not
  our worry to understand what X11 builds upon (happens to be base
  too).
* Thu Jun  1 2017 fabian@ritter-vogt.de
- Replace susehelp with khelpcenter5
* Tue May 23 2017 fabian@ritter-vogt.de
- "KDE Plasma 5" instead of "Plasma5" (boo#1040006)
* Tue May  9 2017 fabian@ritter-vogt.de
- Recommend ffmpegthumbs, kdegraphics-thumbnailers
  and kde-odf-thumbnail as well (boo#1017035)
* Wed May  3 2017 dimstar@opensuse.org
- Provide/obsolete patterns-openSUSE-* names.
- Adjust supplements for the new pattern names.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
